# Class SnpSiftCmdAnnotateDf

java.lang.Object
org.snpsift.SnpSift
org.snpsift.SnpSiftCmdAnnotateDf

All Implemented Interfaces:
  `org.snpeff.snpEffect.commandLine.CommandLine, org.snpeff.snpEffect.VcfAnnotator`

public class SnpSiftCmdAnnotateDf extends SnpSift
Annotate a VCF file from another VCF file (database) by creating "DataFrames" for each chromosome. The database file is loaded into memory.

Author:
  pcingola

## Field Summary

### Fields inherited from class SnpSift

`args, BUILD, command, config, configFile, dataDir, dbFileName, dbTabix, dbType, debug, download, EMPTY_ARGS, errCount, genomeVersion, help, log, needsConfig, needsDb, needsGenome, numWorkers, output, quiet, REVISION, saveOutput, shiftArgs, SHOW_EVERY_VCFLINES, showVcfHeader, showVersion, SOFTWARE_NAME, suppressOutput, vcfHeaderAddProgramVersion, vcfHeaderProcessed, vcfInputFile, verbose, VERSION, VERSION_MAJOR, VERSION_NO_NAME, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftCmdAnnotateDf()`
`SnpSiftCmdAnnotateDf(String[] args)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String dbFileName)`
Add a database file
`boolean`
`annotate(org.snpeff.vcf.VcfEntry vcfEntry)`
`boolean`
`annotateFinish()`
`boolean`
`annotateInit(org.snpeff.fileIterator.VcfFileIterator vcfFile)`
Initialize database for annotation process
`void`
`create()`
Create all databases
`protected List<org.snpeff.vcf.VcfHeaderEntry>`
`headers()`
Build headers to add
`void`
`init()`
Initialize
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
Annotate each entry of a VCF file
`List<org.snpeff.vcf.VcfEntry>`
`run(boolean createList)`
Run annotations
`void`
`usage(String msg)`
Show usage message

### Methods inherited from class SnpSift

`addHeaders, annotateFinish, cmd, commandLineStr, databaseDownload, databaseFind, error, getArgs, getConfig, getConfigFile, getOutput, isOpt, loadConfig, main, openVcfInputFile, processVcfHeader, setCommand, setCommand, setConfig, setConfigFile, setDbFileName, setDebug, setQuiet, setSaveOutput, setShowVcfHeader, setShowVersion, setSuppressOutput, setVcfHeaderAddProgramVersion, setVerbose, showCmd, showVersion, unSanitize, usageGenericAndDb`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnpSiftCmdAnnotateDf

public SnpSiftCmdAnnotateDf()

### SnpSiftCmdAnnotateDf

public SnpSiftCmdAnnotateDf(String[] args)

## Method Details

### add

public void add(String dbFileName)
Add a database file

### annotate

public boolean annotate(org.snpeff.vcf.VcfEntry vcfEntry)

Specified by:
  `annotate` in interface `org.snpeff.snpEffect.VcfAnnotator`
Overrides:
  `annotate` in class `SnpSift`

### annotateFinish

public boolean annotateFinish()

### annotateInit

public boolean annotateInit(org.snpeff.fileIterator.VcfFileIterator vcfFile)
Initialize database for annotation process

Specified by:
  `annotateInit` in interface `org.snpeff.snpEffect.VcfAnnotator`
Overrides:
  `annotateInit` in class `SnpSift`

### create

public void create()
Create all databases

### headers

protected List<org.snpeff.vcf.VcfHeaderEntry> headers()
Build headers to add

Overrides:
  `headers` in class `SnpSift`

### init

public void init()
Initialize

Overrides:
  `init` in class `SnpSift`

### parseArgs

public void parseArgs(String[] args)
Parse command line arguments

Specified by:
  `parseArgs` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `parseArgs` in class `SnpSift`

### run

public boolean run()
Annotate each entry of a VCF file

Specified by:
  `run` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `run` in class `SnpSift`

### run

public List<org.snpeff.vcf.VcfEntry> run(boolean createList)
Run annotations

Parameters:
  `createList` - : If true, return a list with all annotated entries (used for test cases invalid input: '&' debugging)

### usage

public void usage(String msg)
Show usage message

Specified by:
  `usage` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `usage` in class `SnpSift`